Package ghidra.program.model.data

# Interface SourceArchive

All Known Implementing Classes:
  `SourceArchiveDB`

public interface SourceArchive
DataTypeSource holds information about a single data type archive which supplied a data type to the program.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArchiveType`
  `getArchiveType()`
  Gets an indicator for the type of data type archive.
  `String`
  `getDomainFileID()`
  Gets the ID used to uniquely identify the domain file for the data type archive.
  `long`
  `getLastSyncTime()`
  Returns the last time that this source archive was synchronized to the containing DataTypeManager.
  `String`
  `getName()`
  Returns the name of the source archive
  `UniversalID`
  `getSourceArchiveID()`
  Gets the ID that the program has associated with the data type archive.
  `boolean`
  `isDirty()`
  Returns true if at least one data type that originally came from this source archive has been changed.
  `void`
  `setDirtyFlag(boolean dirty)`
  Sets the dirty flag to indicate if at least one data type that originally came from the associated source archive has been changed since the last time the containing DataTypeManager was synchronized with it.
  `void`
  `setLastSyncTime(long time)`
  Sets the last time that this source archive was synchronized to the containing DataTypeManager.
  `void`
  `setName(String name)`
  Sets the name of the source archive associated with this SourceArchive object.

- ## Method Details

  - ### getSourceArchiveID

    UniversalID getSourceArchiveID()
    Gets the ID that the program has associated with the data type archive.
    Returns:
      the data type archive ID

  - ### getDomainFileID

    String getDomainFileID()
    Gets the ID used to uniquely identify the domain file for the data type archive.
    Returns:
      the domain file identifier

  - ### getArchiveType

    ArchiveType getArchiveType()
    Gets an indicator for the type of data type archive. (ArchiveType.BUILT_IN, ArchiveType.PROGRAM, ArchiveType.PROJECT, ArchiveType.FILE)
    Returns:
      the type

  - ### getName

    String getName()
    Returns the name of the source archive
    Returns:
      the name of the source archive.

  - ### getLastSyncTime

    long getLastSyncTime()
    Returns the last time that this source archive was synchronized to the containing DataTypeManager.
    Returns:
      the last time that this source archive was synchronized to the containing DataTypeManager.

  - ### isDirty

    boolean isDirty()
    Returns true if at least one data type that originally came from this source archive has been changed.
    Returns:
      true if at least one data type that originally came from this source archive has been changed.

  - ### setLastSyncTime

    void setLastSyncTime(long time)
    Sets the last time that this source archive was synchronized to the containing DataTypeManager.
    Parameters:
      `time` - the last time that this source archive was synchronized to the containing DataTypeManager.

  - ### setName

    void setName(String name)
    Sets the name of the source archive associated with this SourceArchive object.
    Parameters:
      `name` - the name of the associated source archive.

  - ### setDirtyFlag

    void setDirtyFlag(boolean dirty)
    Sets the dirty flag to indicate if at least one data type that originally came from the associated source archive has been changed since the last time the containing DataTypeManager was synchronized with it.
    Parameters:
      `dirty` - true means at least one data type that originally came from this source archive has been changed.